##### posix::basic_stream_descriptor::wait (2 of 2 overloads)

Inherited from posix::basic_descriptor.

Wait for the descriptor to become ready to read, ready to write, or to have pending error conditions.

    void wait(
        wait_type w,
        asio::error_code & ec);

This function is used to perform a blocking wait for a descriptor to enter a ready to read, write or error condition state.

###### Parameters

w

  Specifies the desired descriptor state.

ec

  Set to indicate what error occurred, if any.

###### Example

Waiting for a descriptor to become readable.

    asio::posix::stream_descriptor descriptor(my_context);
    ...
    asio::error_code ec;
    descriptor.wait(asio::posix::stream_descriptor::wait_read, ec);